apiVersion: apps/v1
kind: StatefulSet
metadata:
  creationTimestamp: "2022-10-04T08:37:10Z"
  generation: 1
  labels:
    app: test8
  name: test8
  namespace: test
  resourceVersion: "495811"
  uid: c006b450-0a4c-4899-b464-1da78aab22ea
spec:
  podManagementPolicy: OrderedReady
  replicas: 1
  revisionHistoryLimit: 10
  selector:
    matchLabels:
      app: test8
  serviceName: ""
  template:
    metadata:
      creationTimestamp: null
      labels:
        app: test8
    spec:
      containers:
      - args:
        - -c
        - while true; do sleep 10;done
        command:
        - /bin/sh
        env:
        - name: TZ
          value: UTC
        - name: NAMESPACE
          valueFrom:
            fieldRef:
              apiVersion: v1
              fieldPath: metadata.namespace
        image: registry.kni-qe-0.lab.eng.rdu2.redhat.com:5000/ubi8/ubi
        imagePullPolicy: IfNotPresent
        livenessProbe:
          exec:
            command:
            - ls
          failureThreshold: 3
          initialDelaySeconds: 15
          periodSeconds: 10
          successThreshold: 1
          timeoutSeconds: 15
        name: t8-1
        readinessProbe:
          exec:
            command:
            - ls
          failureThreshold: 3
          initialDelaySeconds: 15
          periodSeconds: 10
          successThreshold: 1
          timeoutSeconds: 15
        resources:
          limits:
            cpu: 157m
            memory: 300Mi
          requests:
            cpu: 125m
            memory: 200Mi
        securityContext:
          allowPrivilegeEscalation: false
          capabilities:
            drop:
            - MKNOD
            - all
        terminationMessagePath: /dev/termination-log
        terminationMessagePolicy: File
        volumeMounts:
        - mountPath: /logs
          name: log-shipper-storage-path
        - mountPath: /run/secrets/ca-certificates/
          name: server-ca-certificate
          readOnly: true
        - mountPath: /run/secrets/certificates/
          name: lt-client-cert
          readOnly: true
      - env:
        - name: MESSAGE_LEN
          value: "240"
        - name: LOG_PERIOD_SEC
          value: 1/5
        - name: POD_NAME
          valueFrom:
            fieldRef:
              apiVersion: v1
              fieldPath: metadata.name
        image: registry.kni-qe-0.lab.eng.rdu2.redhat.com:5000/test_images/logging:latest
        imagePullPolicy: IfNotPresent
        livenessProbe:
          exec:
            command:
            - ls
          failureThreshold: 3
          initialDelaySeconds: 1
          periodSeconds: 10
          successThreshold: 1
          timeoutSeconds: 10
        name: sidecar-1
        resources:
          limits:
            cpu: 63m
            memory: 200Mi
          requests:
            cpu: 50m
            memory: 150Mi
        securityContext:
          allowPrivilegeEscalation: false
          capabilities:
            drop:
            - MKNOD
            - all
          privileged: false
          readOnlyRootFilesystem: false
          runAsNonRoot: true
        terminationMessagePath: /dev/termination-log
        terminationMessagePolicy: File
        volumeMounts:
        - mountPath: /data
          name: data
        - mountPath: /run/sec/certs/server/
          name: server-cert
        - mountPath: /run/sec/certs/peer
          name: peer-client-cert
        - mountPath: /run/sec/cas/bootstrap/
          name: bootstrap-ca
        - mountPath: /run/sec/cas/clientca/
          name: client-ca
        - mountPath: /run/sec/certs/client/
          name: etcdctl-client-cert
        - mountPath: /run/sec/certs/bro
          name: etcd-bro-client-cert
        - mountPath: /run/sec/cas/siptlsca/
          name: siptls-ca
        - mountPath: /run/sec/cas/pmca/
          name: pmca
        - mountPath: /logs
          name: log-shipper-storage-path
      dnsPolicy: ClusterFirst
      initContainers:
      - image: registry.kni-qe-0.lab.eng.rdu2.redhat.com:5000/ubi8/ubi
        imagePullPolicy: IfNotPresent
        name: init
        resources:
          limits:
            cpu: 120m
            memory: 125Mi
          requests:
            cpu: 100m
            memory: 100Mi
        securityContext:
          allowPrivilegeEscalation: false
          capabilities:
            drop:
            - MKNOD
            - all
          privileged: false
          readOnlyRootFilesystem: false
          runAsNonRoot: true
        terminationMessagePath: /dev/termination-log
        terminationMessagePolicy: File
        volumeMounts:
        - mountPath: /sharedData
          name: data
        - mountPath: /logs
          name: log-shipper-storage-path
        - mountPath: /run/sec/certs/server/
          name: server-cert
        - mountPath: /run/sec/certs/peer
          name: peer-client-cert
        - mountPath: /run/sec/cas/bootstrap/
          name: bootstrap-ca
        - mountPath: /run/sec/cas/clientca/
          name: client-ca
        - mountPath: /run/sec/certs/client/
          name: etcdctl-client-cert
        - mountPath: /run/sec/certs/bro
          name: etcd-bro-client-cert
        - mountPath: /run/sec/cas/siptlsca/
          name: siptls-ca
        - mountPath: /run/sec/cas/pmca/
          name: pmca
      restartPolicy: Always
      schedulerName: default-scheduler
      securityContext: {}
      terminationGracePeriodSeconds: 30
      volumes:
      - name: data
        persistentVolumeClaim:
          claimName: datadir-data-1
      - emptyDir:
          sizeLimit: 500Mi
        name: log-shipper-storage-path
      - name: server-ca-certificate
        secret:
          defaultMode: 420
          optional: true
          secretName: s186-2
      - name: lt-client-cert
        secret:
          defaultMode: 420
          optional: true
          secretName: s33-2
      - name: siptls-ca
        secret:
          defaultMode: 420
          optional: true
          secretName: s186-2
      - name: bootstrap-ca
        secret:
          defaultMode: 420
          optional: true
          secretName: s185-2
      - name: client-ca
        secret:
          defaultMode: 420
          optional: true
          secretName: s6-1
      - name: server-cert
        secret:
          defaultMode: 420
          secretName: s30-2
      - name: peer-client-cert
        secret:
          defaultMode: 420
          optional: true
          secretName: s34-2
      - name: etcdctl-client-cert
        secret:
          defaultMode: 420
          optional: true
          secretName: s32-2
      - name: pmca
        secret:
          defaultMode: 420
          optional: true
          secretName: s20-1
      - name: etcd-bro-client-cert
        secret:
          defaultMode: 420
          optional: true
          secretName: s31-2
  updateStrategy:
    rollingUpdate:
      partition: 0
    type: RollingUpdate
status:
  availableReplicas: 0
  collisionCount: 0
  currentReplicas: 1
  currentRevision: test8-6f76d9c566
  observedGeneration: 1
  replicas: 1
  updateRevision: test8-6f76d9c566
  updatedReplicas: 1
